#ifndef _OGG_H_
#define _OGG_H_

#define OGG_LITTLE_ENDIAN 0
#define OGG_BIG_ENDIAN 1

#define OGG_8BIT 1
#define OGG_16BIT 2

#define OGG_UNSIGNED 0
#define OGG_SIGNED 1

int ogg_open_stream(const char* filename);
int ogg_close_stream();
void ogg_set_resolution(int res);
void ogg_set_sampling_rate(long rate);
void ogg_set_channels(int chans);
int ogg_write_buffer(char* buf, unsigned int bytes);

#endif /* _OGG_H_ */
